Bug 604031 - Review Request: kde-plasma-kprayertime - Displays Islamic prayer Time
Review Request: kde-plasma-kprayertime - Displays Islamic prayer Time
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Volker Fröhlich
Fedora Extras Quality Assurance
StalledSubmitter
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-15 04:41 EDT by Mohammed Imran
Modified: 2011-12-08 13:18 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-04-15 15:29:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
volker27: fedora‑review?


Attachments (Terms of Use)

  None (edit)
Description Mohammed Imran 2010-06-15 04:41:46 EDT
Spec URL: http://github.com/downloads/matriux/fedora/kde-plasma-kprayertime.spec
SRPM URL: http://github.com/downloads/matriux/fedora/kde-plasma-kprayertime-4.01-1.fc12.src.rpm
Description:
Plasmoid to display Islamic Prayer time

rpmlint
========
[imran@localhost SPECS]$ rpmlint kde-plasma-kprayertime.spec ../SRPMS/kde-plasma-kprayertime-4.01-1.fc12.src.rpm ../RPMS/i686/kde-plasma-kprayertime-4.01-1.fc12.i686.rpm 

kde-plasma-kprayertime.src: W: spelling-error %description -l en_US Plasmoid -> Plasma, Plastic, Plasticine

kde-plasma-kprayertime.i686: W: spelling-error %description -l en_US Plasmoid -> Plasma, Plastic, Plasticine

2 packages and 1 specfiles checked; 0 errors, 2 warnings.
Comment 1 Volker Fröhlich 2010-11-27 17:08:04 EST
* rpmlint clean

* sources: OK
$ md5sum kprayertime4.01.src.tar.gz 
098682e4b6c6b5b1f5caf68f4d3ca412  kprayertime4.01.src.tar.gz

* license ok

* builds on F13, F14 and Rawhide

* installs/runs ok

* files ok

I'm not really sure, if upstream calls it kde-plasma-kprayertime or kde-plasma-kprayertime4.

I think it is prefered to write "BuildRequires:	cmake gettext" instead of "BuildRequires:	cmake,gettext". Your package doesn't seem to need gettext, since no translations are included.

I think the description should end with a period. The capitalization of "Islamic Prayer time" is also different for the description and the summary.

You may have to add these two lines, since your package introduces a shared library.

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig
Comment 2 Jason Tibbitts 2010-11-30 11:32:59 EST
Just a note that the .so file is not in the regular library path and calling ldconfig is superfluous.

See http://fedoraproject.org/wiki/Packaging:Guidelines#Shared_Libraries:
"
In addition, every binary RPM package which contains shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig [...]
"
Comment 3 Volker Fröhlich 2011-01-12 05:37:16 EST
Are you still interested in packaging this?
Comment 4 Volker Fröhlich 2011-04-15 15:29:40 EDT
Re-open if necessary.

Note You need to log in before you can comment on or make changes to this bug.